<?php
/*
 * NAME: photoUpload.php for jQ Photographer's Exchange
 * AUTHOR: Jay Blanchard
 * DATE: 2011-04-06
 * BUSINESS RULE:   <if applicable>
 *
 * REVISION:    a20110406jb
 * STATUS:      open
 * USAGE:       will be used with jQuery AJAX                        
 *
 * NOTES:        
 *
 * REVISION HISTORY:
 * 
 *
 */
/* database connection */
if(!$dbc = mysql_connect('localhost', 'photoexchange', 'cam3rafan')){
    echo mysql_error() . "\n";
    exit();
}

/* function to create thumbnails */
function createThumbnail($name, $filename, $newWidth, $newHeight){
	/* create a working image based on image type */
	$arrPhotoName = explode('.',$name);
	$fileExtPosition = count($arrPhotoName) - 1;
    if (preg_match('/(jpg|jpeg)/i', $arrPhotoName[$fileExtPosition])){
        $workingImg = imagecreatefromjpeg($name);
    } elseif (preg_match('/(png)/i', $arrPhotoName[$fileExtPosition])){
        $workingImg = imagecreatefrompng($name);
    }
    /* get dimensions of working image */
	$oldX = imagesx($workingImg); // width
    $oldY = imagesy($workingImg); // height
    /* 
     * set up thumbnail dimensions to work in the carousel
     * and scale them properly
     */
    /* scale for landscape */
    if ($oldX > $oldY) {
        $thumbW = $newWidth;
        $thumbH = ($oldY * $newWidth) / $oldX;
    }
    /* scale for portrait */
    if ($oldX < $oldY) {
        $thumbW = ($oldX * $newHeight) / $oldY;
        $thumbH = $newHeight;
    }
    /* scale for square images */
    if($oldX == $oldY) {
    	$thumbW = $newHeight;
    	$thumbH = $newHeight;
    }
    /* set up vitals for the new baby thumbnail */ 
    $newThumbnail = ImageCreateTrueColor($thumbW,$thumbH);
    imagecopyresampled($newThumbnail, $workingImg, 0, 0, 0, 0, $thumbW, $thumbH, $oldX, $oldY);
    
    /* 
     * output the new thumbnail to the proper location
     * with the proper name
     */  
    if (preg_match("/(png)/i", $arrPhotoName[$fileExtPosition])) {
        imagepng($newThumbnail, $filename); 
    } else {
        imagejpeg($newThumbnail, $filename); 
    }
    /* clean up on aisle 5! */
    imagedestroy($newThumbnail); 
    imagedestroy($workingImg); 
}

/* set up a loop to handle each picture uploaded */
$photoPath = "../photos/";
foreach($_FILES["pUpload"]["error"] as $key => $error) {
    if ($error == UPLOAD_ERR_OK) {
        $tmpName = $_FILES["pUpload"]["tmp_name"][$key];
        $photoName = $_FILES["pUpload"]["name"][$key];
        /* use regex to determine if we allow the file to be uploaded */
        $regexFileExt = "/\.(jpg|jpeg|png)$/i";
        if(preg_match($regexFileExt, $photoName)){
        	/* one more suspender, check for image type */
            $arrEXIFType = array(IMAGETYPE_JPEG, IMAGETYPE_PNG);
        	if(in_array(exif_imagetype($tmpName), $arrEXIFType)){ 
	        	/* allow the file to be uploaded */
	        	$newPhoto = $photoPath.$photoName;
	            move_uploaded_file($tmpName, $newPhoto);
	            /* create thumbnail */
	            $newPhotoThumbnail = $photoPath.'thumb_'.$photoName;
	            createThumbnail($newPhoto, $newPhotoThumbnail, 160, 128);
	        }
        }
        /* add data about the image to the photo table */
        $photoInsert = "INSERT INTO `photoex`.`pephoto` ";
        $photoInsert .= "(`imgName`,`imgThumb`,`username`) ";
        $photoInsert .= "VALUES(";
        $photoInsert .= "'".$photoName."', ";
        $photoInsert .= "'thumb_".$photoName."', ";
        $photoInsert .= "'' ";
        $photoInsert .= ")";
        if(!($peInsert = mysql_query($photoInsert, $dbc))){
        	echo $photoInsert;
            echo mysql_error();
            echo mysql_errno();
            exit();
        }
    }
}
?>
