<?php
/*
 * TITLE:   Widget Interface Basic Layout
 * AUTHOR:  Jay Blanchard
 * DATE:    2011-05-03
 * 
 * USAGE:   call from web browser
 * 
 * REVISION:    
 *          jb20110503a - create basic layout
 */
/* database connection */
if(!$dbc = mysql_connect('localhost', 'mysticlodge', 'h0t3l')){
	echo mysql_error() . "\n";
	exit();
}
/* get reservation requests */
$getRequests = "SELECT `arrival`,`departure`,`guest`,`phone` ";
$getRequests .= "FROM `lamf`.`reserverequests` ";
$getRequests .= "WHERE `response` = '' ";
if(!($requests = mysql_query($getRequests, $dbc))){
	echo mysql_errno();
	exit();
}

/* create an array that can be used by jqPlot */
$ra = '';
$requestArray = array(1,2,3,4,5,6,7,8,9,10,11,12);
for($i = 0; $i < count($requestArray); $i++){
	/* count requests by month */
	$getReservationsByMonth = "SELECT count(*) as reqCount FROM `lamf`.`reserverequests` WHERE SUBSTRING(`arrival`, 1, 2) = ".$requestArray[$i];
		if(!($requestsMonth = mysql_query($getReservationsByMonth, $dbc))){
			echo mysql_errno();
			exit();
		}
		if($i < 11){
			$ra .= '['. mysql_result($requestsMonth, 0) .','. ($i+1) . '],';
		} else {
			$ra .= '['. mysql_result($requestsMonth, 0) .','. ($i+1) . ']';
		}	
}

?>
<!DOCTYPE html>
<html>
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>The Lodge at Mystic Forrest</title>
    	
        <link type="text/css" rel="stylesheet" href="css/lamf.css" />
        <link type="text/css" rel="stylesheet" href="css/ui/jquery-ui-1.8.12.custom.css" />
        <link type="text/css" rel="stylesheet" href="css/tablesorter/style.css" />
        <link type="text/css" rel="stylesheet" href="css/jqPlot/jquery.jqplot.css" />
        
        <script type="text/javascript" src="inc/jQuery/jquery-1.5.min.js"></script>
        <script type="text/javascript" src="inc/jQuery/jquery-ui-1.8.12.custom.min.js"></script>
        <script type="text/javascript" src="inc/jQuery/jquery.tablesorter.min.js"></script>
        <script type="text/javascript" src="inc/jQuery/jquery.jqplot.min.js"></script>
        <!--[if lt IE 9]><script type="text/javascript" src="inc/jQuery/excanvas.min.js"></script><![endif]-->
        <script type="text/javascript" src="inc/jQuery/jqplot.barRenderer.min.js"></script>
        <script type="text/javascript" src="inc/jQuery/jqplot.categoryAxisRenderer.min.js"></script>
        
        <script type="text/javascript">
        $(document).ready(function() {
			/* table sorter */
            $('#requests').tablesorter({
                headers: {4:{sorter: false}}
            });

            $.jqplot.config.enablePlugins = true;

            line1 = [<?php echo $ra; ?>];
            $.jqplot('requestChart', [line1], {
                seriesDefaults: {
                    renderer: $.jqplot.BarRenderer,
                    rendererOptions: {
                        barDirection: 'horizontal',
                        barMargin: 5
                    }
                },
                axes: {
                    yaxis: {
                        renderer: $.jqplot.CategoryAxisRenderer,
                        ticks: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'Novemeber', 'December']
                    },
                    xaxis: {min: 0, max: 100, numberTicks:11}
                }
            });

        });
        </script>
    </head>
    <body>
        <div id="header"></div>
        <div id="content">
        <h2>Reservation Requests</h2>
        <?php
        /* make sure there is something to return */
        if(0 != mysql_num_rows($requests)){
        	echo '<table id="requests" class="tablesorter">';
        	echo '<thead>';
        	echo '<tr><th>Arrival Date</th><th>Departure Date</th><th>Guest Name</th><th>Guest Phone</th><th>Responded</th></tr>';
        	echo '</thead>';
        	echo '<tbody>';
        	/* loop through results and populaqte table */
        	while($pendingRequest = mysql_fetch_array($requests)){
        		echo '<tr class="even">';
        		echo '<td>'.$pendingRequest['arrival'].'</td>';
        		echo '<td>'.$pendingRequest['departure'].'</td>';
        		echo '<td>'.$pendingRequest['guest'].'</td>';
        		echo '<td>'.$pendingRequest['phone'].'</td>';
        		echo '<td><input type="checkbox" name="response[]" /></td>';
        		echo '</tr>';
        	}
        	echo '</tbody>';
        	echo '</table>';
        } else {
        	echo '<p>There are no pending reservation requests</p>';
        } 
        ?>
        <h2>Requests per Month</h2>
        <div id="requestChart"></div>    
        </div>
    </body>
</html>