<?php
/*
 * NAME: jquery Interface 
 * AUTHOR: Jay Blanchard
 * DATE: 2010-06-21
 * BUSINESS RULE:	<if applicable>
 *
 * REVISION:	a20100621jb
 * STATUS:		open
 * USAGE:		call from web browser to access application interface	
 * 
 */
?>
<script type="text/javascript">
    $(document).ready(function() {
    	$("#noteBody").contextMenu({
            menu: 'myMenu'
        });
    });
</script>
<form action="#" method="post" id="search_form">
	<fieldset>
		<label>Note Title</label><input type="text" name="noteTitle" id="noteTitle" size="64" /><br />
		<label>Content</label><textarea name="noteBody" id="noteBody" cols="64" rows="16"></textarea>
		<label></label><input type="submit" name="saveNote" id="saveNote" value="Save Note" /><br />
	</fieldset>
</form>
<ul id="myMenu" class="contextMenu">
    <li class="edit">
        <a href="#edit">Edit</a>
    </li>
    <li class="cut separator">
        <a href="#cut">Cut</a>
    </li>
    <li class="copy">
        <a href="#copy">Copy</a>
    </li>
    <li class="paste">
        <a href="#paste">Paste</a>
    </li>
    <li class="delete">
        <a href="#delete">Delete</a>
    </li>
    <li class="quit separator">
        <a href="#quit">Quit</a>
    </li>
</ul>
