/*
 * NAME: Count DVD's (jQuery)
 * AUTHOR: Jay Blanchard
 * DATE: 2011-01-10
 * BUSINESS RULE:	<if applicable>
 *
 * REVISION:	a20110110jb
 * STATUS:		open
 * USAGE:		call from web interface page						
 *
 * REVISION HISTORY
 * 
 */
$(document).ready(function(){
	/* 
	 * this script will only be loaded when needed
	 * to provide the count of movies and types
	 */ 
	var totalCount = $('.dvd').length;
	var dvdCount = $('h3:contains("DVD")').length;
	var brCount = $('h3:contains("Blu-ray")').length;
	/* create a modal */
	var movieModal = '<div class="movieModal">Total Movies: '+totalCount+'<br />DVD: '+dvdCount+'<br />Blu-ray: '+brCount+'</div>';
	/* append it to the body */
	$('body').append(movieModal);
	/* define the margins so that the modal is centered properly on the screen */
	var modalMarginTop = ($('.movieModal').height() + 40) / 2;
	var modalMarginLeft = ($('.movieModal').width() + 40) / 2;
	/* apply the margins to the modal window */
	$('.movieModal').css({
		'margin-top' : -modalMarginTop,
		'margin-left' : -modalMarginLeft
	});
	$('.movieModal').fadeIn('slow', function(){
		/* fade the thank you out */
		$(this).fadeOut(2500, function() {
			/* remove the modal */
			$(this).remove();
		});
	});
});