<?php
/*
 * NAME: index.php for jQ Photographer's Exchange
 * AUTHOR: Jay Blanchard
 * DATE: 2011-03-05
 * BUSINESS RULE:   <if applicable>
 *
 * REVISION:    a20110305jb
 * STATUS:      open
 * USAGE:       call from web browser                        
 *
 * NOTES:        
 *
 * REVISION HISTORY:
 * 
 * a20110305jb  - create initial HTML
 *
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
        <title>jQ Photographer's Exchange</title>
        <link rel="stylesheet" href="css/primary.css" type="text/css" />
        <link rel="stylesheet" href="css/spritenav.css" type="text/css" />
        <link rel="stylesheet" href="css/modal.css" type="text/css" />
        <link rel="stylesheet" href="css/carousel.css" type="text/css" />
        <script type="text/javascript" src="inc/jquery-1.5.min.js"></script>
        <script type="text/javascript" src="inc/jquery.ez-bg-resize.js"></script>
        <script type="text/javascript" src="inc/spritenav.js"></script>
        <script type="text/javascript" src="inc/carousel.js"></script>
        <script type="text/javascript" src="inc/jqpe.js"></script>
    </head>
    <body>
        <div id="header"></div>
        <div id="navMenu">
            <ul id="spriteNav">
                <li><a href="search.php" rel="searchWindow" class="modal" id="search"><span>Search</span></a></li>
                <li><a href="register.php" rel="registerWindow" class="modal" id="register"><span>Register</span></a></li>
                <li><a href="login.php" rel="loginWindow" class="modal" id="login"><span>Login</span></a></li>
            </ul>   
        </div>
        <div id="carouselContainer">
            <div id="carouselOuter">
                <div id="scrollLeft"><img src="grfx/arrowLeft.jpg" /></div>
                <div id="carouselInner">
                    <ul id="carouselUL">
                        <li><img rel="photoModal" class="carThumb" src="photos/thumb_ka1.jpg" /></li>
                        <li><img rel="photoModal" class="carThumb" src="photos/thumb_ka2.jpg" /></li>
                        <li><img rel="photoModal" class="carThumb" src="photos/thumb_ka3.jpg" /></li>
                        <li><img rel="photoModal" class="carThumb" src="photos/thumb_ka4.jpg" /></li>
                        <li><img rel="photoModal" class="carThumb" src="photos/thumb_ka11.jpg" /></li>
                        <li><img rel="photoModal" class="carThumb" src="photos/thumb_ka12.jpg" /></li>
                        <li><img rel="photoModal" class="carThumb" src="photos/thumb_ka13.jpg" /></li>
                        <li><img rel="photoModal" class="carThumb" src="photos/thumb_ka14.jpg" /></li>
                    </ul>
                </div>
                <div id="scrollRight"><img src="grfx/arrowRight.jpg" /></div>
            </div>
        </div>
        <div id="content">
	        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed a sollicitudin nibh. Aliquam lacinia feugiat felis sed malesuada. Fusce accumsan laoreet eros, a vestibulum ante rhoncus nec. Proin non velit vitae est commodo commodo vel quis dui. Cras iaculis vehicula malesuada. Nulla ut velit sed purus blandit ultrices vel quis risus. Sed lacinia velit in elit commodo malesuada. Vestibulum consequat laoreet ipsum, at blandit orci aliquam et. Aenean sit amet mauris non sapien euismod adipiscing ac luctus nisi. Curabitur id nulla et nisi euismod molestie ut ac augue. Nam suscipit ipsum vitae odio condimentum ultricies. Ut pretium turpis ut odio sagittis non fringilla nulla varius. Integer scelerisque sapien eu eros tempor in sagittis urna molestie. Aenean sapien velit, semper sit amet aliquet non, volutpat vulputate ante. Lorem ipsum dolor sit amet, consectetur adipiscing elit. In orci elit, aliquet vitae malesuada non, bibendum accumsan ante. Suspendisse pretium enim non nibh interdum euismod. Aenean molestie luctus nibh, id cursus velit mollis et. Pellentesque gravida erat varius erat ultrices ornare. Donec et velit nibh, ac facilisis tortor.</p>
	
	        <p>Donec interdum tincidunt pharetra. Aenean iaculis feugiat risus, in malesuada lectus aliquam a. In tellus erat, condimentum eget tempor vitae, accumsan a ligula. Nulla commodo, magna non ultricies accumsan, eros ipsum bibendum lacus, sed rutrum eros libero eget mi. Fusce convallis hendrerit blandit. Mauris laoreet metus tortor, et malesuada orci. Etiam ornare dolor sem, vel auctor nunc. Suspendisse nec lacinia purus. Nunc luctus eleifend est, ac dapibus metus malesuada vel. Nulla facilisi. Aliquam sapien ligula, ullamcorper et fermentum eu, convallis nec purus. Nunc egestas tellus euismod purus accumsan at faucibus odio porttitor. Aliquam sit amet nunc eu felis volutpat fringilla. Sed tincidunt, lectus sed mattis pulvinar, lorem dui commodo tellus, tincidunt pulvinar est quam fringilla eros. In at sodales ante. Sed ac eros augue, vestibulum viverra arcu. Morbi gravida porta elit at vehicula. Donec vel dolor in tellus adipiscing laoreet id in ligula. Ut malesuada ligula magna, vel fringilla magna.</p>
	
	        <p>Suspendisse ut metus ac tellus blandit porttitor. In condimentum mi vitae sem bibendum sed facilisis velit varius. Donec lectus libero, venenatis ut tempus vel, tempor vulputate libero. Donec ante mauris, fermentum nec hendrerit sit amet, condimentum in leo. Nulla facilisi. Aliquam aliquet tincidunt blandit. Etiam condimentum, justo quis tristique eleifend, mauris eros convallis nisi, eu laoreet ante diam eget orci. Morbi dui odio, tristique nec tincidunt quis, ullamcorper at purus. Quisque massa dui, bibendum pellentesque aliquam sit amet, feugiat vitae enim. Nunc purus urna, fermentum eget accumsan ut, commodo sit amet dolor. Etiam id ullamcorper felis. Phasellus posuere diam ac felis egestas tristique ornare sem sagittis. In nunc est, malesuada eget tempor non, imperdiet non enim. Donec egestas mi eu felis tincidunt mollis ultricies lectus egestas. Mauris et ante a mauris feugiat molestie vitae et eros. Morbi eu mauris eros, vel sagittis nibh. Etiam congue fringilla enim, a tincidunt mi rhoncus quis.</p>
	    
	        <p>Donec sed massa augue. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus placerat lacinia cursus. Sed eu eros nulla, a hendrerit diam. Donec quis lacus nibh. Donec sed nulla vel dolor pharetra mattis non non massa. Fusce bibendum posuere augue eget hendrerit. Integer vitae arcu lobortis mi laoreet dignissim. Praesent aliquam dapibus massa, a vulputate nunc mattis a. Suspendisse mauris odio, volutpat ac dictum sit amet, ultrices luctus lorem. Suspendisse molestie ligula ut mi facilisis quis faucibus ante vulputate. Vestibulum enim purus, dapibus a lobortis et, adipiscing in enim. Quisque non massa enim. Donec ipsum augue, eleifend id euismod sit amet, commodo in diam. Fusce viverra laoreet purus sit amet luctus. Maecenas eleifend metus ac justo mollis posuere. Donec a erat non nisl pulvinar posuere vel a nibh. Donec nec massa ut tellus eleifend varius sit amet nec nisi. Sed consequat mi ac ligula aliquam placerat. Nulla facilisi.</p>
	
	        <p>Cras et tortor non elit feugiat adipiscing id id ipsum. Curabitur eros quam, luctus quis dapibus vel, sodales non lorem. Nullam dignissim bibendum dolor, nec sodales libero fringilla at. In vel ullamcorper purus. Nulla facilisi. Vivamus enim ligula, accumsan nec aliquet sit amet, sodales nec orci. Quisque dui est, ultricies eget molestie id, hendrerit vitae nulla. Aenean libero odio, laoreet quis ultrices nec, congue a nunc. Cras ac neque justo. Proin ipsum velit, tristique non consectetur a, vestibulum eu mi. Integer sit amet elit nisl. Aenean vel neque mauris. Integer sollicitudin venenatis felis et posuere. Proin dui turpis, bibendum vulputate sagittis quis, lobortis eu ligula. </p>
        </div>
        
        <!-- divs for modal windows -->
        <div id="searchWindow" class="searchModal">
            <h2>Search</h2>
            <form name="search" id="searchForm" action="inc/search.php" method="post">
                <label class="label" for="pesearch">Search For: </label><input type="text" name="pesearch" id="pesearch" size="64" /><br />
                <label class="label">&nbsp;</label><input type="submit" value="Search" /><input type="reset" value="Clear" />
            </form>
        </div>
        <div id="registerWindow" class="registerModal">
            <h2>Register</h2>
            <form name="register" id="registerForm" action="inc/peregister.php" method="post">
                <label class="labelLong" for="penewuser">Please choose a user name: </label><input type="text" name="penewuser" id="penewuser" size="24" /><span class="error">name taken, please choose another</span><br />
                <label class="labelLong" for="penewpass">Please choose a password: </label><input type="password" name="penewpass" id="penewpass" size="24" /><span class="error">password must not be blank</span><br />
                <label class="label" for="pefirstname">First Name: </label><input type="text" name="pefirstname" id="pefirstname" size="16" /><br />
                <label class="label" for="pelastname">Last Name: </label><input type="text" name="pelastname" id="pelastname" size="24" /><br />
                <label class="label" for="email">E-mail: </label><input type="text" name="email" id="email" size="48" /><span class="error">please enter a valid e-mail address</span><br />
                <h3>Photography Interests<span class="modalNote"> (choose all that apply)</span></h3>
                <table class="formTable">
                    <tr>
                        <td><input type="checkbox" name="interests[]" id="portrait" value="portrait" /><label class="labelCheckbox" for="portrait">Potrait</label></td>
                        <td><input type="checkbox" name="interests[]" id="landscape" value="landscape" /><label class="labelCheckbox" for="landscape">Landscape</label></td>
                        <td><input type="checkbox" name="interests[]" id="macro" value="macro" /><label class="labelCheckbox" for="macro">Macro</label></td>
                        <td><input type="checkbox" name="interests[]" id="stilllife" value="stilllife" /><label class="labelCheckbox" for="stilllife">Still Life</label></td>
                        <td><input type="checkbox" name="interests[]" id="corporate" value="corporate" /><label class="labelCheckbox" for="corporate">Corporate</label></td>
                    </tr>
                    <tr>
                        <td><input type="checkbox" name="interests[]" id="sports" value="sports" /><label class="labelCheckbox" for="sports">Sports</label></td>
                        <td><input type="checkbox" name="interests[]" id="pets" value="pets" /><label class="labelCheckbox" for="pets">Pets</label></td>
                        <td><input type="checkbox" name="interests[]" id="astronomy" value="astronomy" /><label class="labelCheckbox" for="astronomy">Astronomy</label></td>
                        <td><input type="checkbox" name="interests[]" id="wildlife" value="wildlife" /><label class="labelCheckbox" for="wildlife">Wildlife</label></td>
                        <td><input type="checkbox" name="interests[]" id="journalism" value="journalism" /><label class="labelCheckbox" for="journalism">Journalism</label></td>
                    </tr>
                </table>
                <input type="hidden" name="formName" value="register" />
                <label class="label">&nbsp;</label><input type="submit" value="Register" /><input type="reset" value="Clear" />
                <p class="modalNote">You can update your interests at any time by modifying settings in "My Account".</p>
            </form>
        </div>
        <div id="loginWindow" class="loginModal">
            <h2>Login</h2>
            <form name="login" id="loginForm" action="inc/peregister.php" method="post">
                <label class="label" for="pename">User Name: </label><input type="text" name="pename" id="pename" size="24" /><br />
                <label class="label" for="pepass">Password: </label><input type="password" name="pepass" id="pepass" size="24" /><br />
                <input type="checkbox" name="remember" id="remember" value="remember" /><span class="modalNote"> remember me on this computer</span>
                <input type="hidden" name="formName" value="login" />
                <label class="label">&nbsp;</label><input type="submit" value="Login" /><input type="reset" value="Clear" />
            </form>
        </div>
        <div id="photoModal" class="photoModal"></div>
        
    </body>
</html>