<?php
/*
 * NAME: 3-5.php for DVD Collection Catalog
 * AUTHOR: Jay Blanchard
 * DATE: 2011-04-21
 * BUSINESS RULE:   <if applicable>
 *
 * REVISION:    a20110421jb
 * STATUS:      open
 * USAGE:       call from web browser                        
 *
 * NOTES:        
 *
 * REVISION HISTORY:
 * 
 * a20110421jb  - create initial HTML and scripts
 *
 */
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title>DVD Collection Catalog</title>
        <link rel="stylesheet" href="css/dvd.css" type="text/css" />
        <script type="text/javascript" src="inc/jquery-1.5.min.js"></script>
    </head>
    <body>
    <h2>DVD Collection Catalog</h2>
    <div class="menuContainer">
   		<ul class="menu">
			<li id="add">Add</li>
  			<li id="summary">Summary</li>
   		</ul>
    </div>
    <br />

	<div class="content"></div>
	<script type="text/javascript">
	$(document).ready(function(){
		/* load the dvd collection */
		$('.content').load('inc/getdvd.php');
		/* go to the add form */
		$('#add').click(function(){
			window.location.href = '3-6.php';
		});
		/* load and run the count script */
		$('#summary').click(function() {
			$.getScript('inc/dvdcount.js');
		});
	});	
	</script>
    </body>
</html>