<?php
/*
 * NAME: 3-6.php for DVD Collection Catalog
 * AUTHOR: Jay Blanchard
 * DATE: 2011-04-21
 * BUSINESS RULE:   <if applicable>
 *
 * REVISION:    a20110421jb
 * STATUS:      open
 * USAGE:       call from web browser                        
 *
 * NOTES:        
 *
 * REVISION HISTORY:
 * 
 * a20110421jb  - create initial HTML and scripts
 *
 */
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title>DVD Collection Catalog</title>
        <link rel="stylesheet" href="css/dvd.css" type="text/css" />
        <script type="text/javascript" src="inc/jquery-1.5.min.js"></script>
        <script type="text/javascript" src="inc/movieUp.js"></script>
    </head>
    <body>
    <h2>DVD Collection Catalog</h2>
    <div class="menuContainer">
   		<ul class="menu">
			<li id="home">Home</li>
   		</ul>
    </div>
    <br />

	<div class="content">
		<h3>Add New Movie</h3>
		<form name="addMovie" id="addMovie">
			<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
			<label class="label" for="movieName">Movie Name: </label><input type="text" name="movieName" id="movieName" size="24" /><br />
            <label class="label" for="movieGenre">Genre: </label><input type="text" name="movieGenre" id="movieGenre" size="24" /><br />
            <label class="label" for="movieFormat">Format: </label><select name="movieFormat"><option value="DVD">DVD</option><option value="Blu-ray">Blu-ray</option></select><br />
            <label class="label" for="movieDescription">Description: </label><textarea name="movieDescription" cols="37" rows="4"></textarea><br />
            <label class="label" for="movieCover">Cover Art: </label><input type="file" name="movieCover" id="movieCover" value="" size="48" /><br />
            <label class="label">&nbsp;</label><input type="submit" value="Upload Info" /><input type="reset" value="Clear" />
		</form>
	</div>
	<script type="text/javascript">
	$(document).ready(function(){
		/* go to the add form */
		$('#home').click(function(){
			window.location.href = '3-5.php';
		});
	});	
	</script>
    </body>
</html>