<?php
/*
 * NAME: postdvd.php for DVD Collection Catalog
 * AUTHOR: Jay Blanchard
 * DATE: 2011-03-05
 * BUSINESS RULE:   <if applicable>
 *
 * REVISION:    a20110305jb
 * STATUS:      open
 * USAGE:       call from web browser                        
 *
 * NOTES:        
 *
 * REVISION HISTORY:
 * 
 * a20110305jb  - create initial HTML
 *
 */

/* handle file upload */
$coverPath = "../cover_art/";
if ($_FILES["movieCover"]["error"] == UPLOAD_ERR_OK) {
	$tmpName = $_FILES["movieCover"]["tmp_name"];
    $coverName = $_FILES["movieCover"]["name"];
    /* use regex to determine if we allow the file to be uploaded */
    $regexFileExt = "/\.(jpg|jpeg|png)$/i";
    if(preg_match($regexFileExt, $coverName)){
    	/* one more suspender, check for image type */
        $arrEXIFType = array(IMAGETYPE_JPEG, IMAGETYPE_PNG);
        if(in_array(exif_imagetype($tmpName), $arrEXIFType)){ 
	    	/* allow the file to be uploaded */
	        $newCover = $coverPath.$coverName;
	        move_uploaded_file($tmpName, $newCover);
	    }
    }
}

?>