<?php
/*
 * TITLE:   Widget Interface Basic Layout
 * AUTHOR:  Jay Blanchard
 * DATE:    2011-05-03
 * 
 * USAGE:   call from web browser
 * 
 * REVISION:    
 *          jb20110503a - create basic layout
 */
?>
<!DOCTYPE html>
<html>
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>The Lodge at Mystic Forrest</title>
        <link type="text/css" rel="stylesheet" href="css/lamf.css" />
        <script type="text/javascript" src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=YOUR_API_KEY_GOES_HERE"></script>
        <script type="text/javascript" src="inc/jQuery/jquery-1.5.min.js"></script>
        <script type="text/javascript" src="inc/jQuery/jquery.gmap-1.1.0-min.js"></script>
        <script type="text/javascript">
        $(document).ready(function(){
        	/* set up gmap for lodge */
        	$('#lodgeMap').gMap({
            	markers: [{
                	latitude: 29.871266,
                	longitude: -98.237708
            }],
            maptype: G_PHYSICAL_MAP,
            zoom: 12	                           
        	});
        });
        </script>
    </head>
    <body>
    <div id="header"></div>
        <div id="content">
    		<h2>We're on the map!</h2>
    		<div id="lodgeMap"></div>
    	</div>	
    </body>
</html>