/**
 * TITLE:	jQuery Autocomplete for Attractions
 * AUTHOR:	Jay Blanchard
 * DATE: 	2011-05-05
 * 
 * USAGE:	call from web browser using jQuery
 * 
 * REVISION:
 * 			a20110505jb - create the array and function
 * 
 */
$(function(){
	var attractions = [
	    "Admiral Nimitz Museum - Fredericksburg",               
	    "Aquarena Springs Nature Center - San Marcos",
	    "Canyon Lake - Sattler",
	    "Dinosaur Flats - Startzville",
	    "Enchanted Rock - Fredericksburg",
	    "Gruene Hall - New Braunfels",
        "Guadalupe River State Park - Spring Branch",
        "Live Oak Disc Golf Course - Live Oak",
        "Longhorn Caverns - Boerne",
        "Lost Maples State Park - Vanderpool",
        "National Museum of the Pacific War - Fredericksburg",
        "Wonder World - San Marcos"
	];
	$('#attractions').autocomplete({
		source: attractions,
		select: function(event, ui) {
			var selectedAttraction = ui.item.value;
			var arrayAttractionName = selectedAttraction.split(' ');
			$('#attractionInfo').load('inc/attractionInfo.php #'+arrayAttractionName[0]);
		}
	});
});