/**
 * NAME:	jquery.colorText.js
 * AUTHOR:	Jay Blanchard
 * DATE:	2011-05-09
 * 
 *  USAGE: 	set color and background color
 *  
 */
(function($){
    $.fn.colorText = function(options) {
    	
    	var defaults = {
    		'color'				: '#000000',
    		'backgroundColor'	: '#FFFFFF'
    	};
    	
    	var opt = $.extend({}, defaults, options);
    	
    	return this.each(function(){
    		$this = $(this);
    		
    		$this.css({
    			'color'				: opt.color,
    			'backgroundColor'	: opt.backgroundColor
    		});
    	});
    };
})(jQuery);
