<?php
/*
 * TITLE:   Interface Basic Layout
 * AUTHOR:  Jay Blanchard
 * DATE:    2011-05-03
 * 
 * USAGE:   call from web browser
 * 
 * REVISION:    
 *          jb20110503a - create basic layout
 */
?>
<!DOCTYPE html>
<html>
    <head>
	    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    	<meta http-equiv="pragma" content="no-cache" />
    	<meta http-equiv="cache-control" content="no-cache" />
    	<title>jQuery Application Interface</title>
    	<link rel="stylesheet" href="css/interface.css" type="text/css" />
    	<link rel="stylesheet" href="css/spritenav/spritenav.css" type="text/css" />
        <link type="text/css" rel="stylesheet" href="css/ui/jquery-ui-1.8.12.custom.css" />
        
        <script type="text/javascript" src="inc/jQuery/jquery-1.5.min.js"></script>
        <script type="text/javascript" src="inc/jQuery/jquery-ui-1.8.12.custom.min.js"></script>
        <script type="text/javascript" src="inc/jQuery/interface.js"></script>
        <script type="text/javascript" src="inc/jQuery/spritenav.js"></script>
    </head>
    <body>
    	<div id="mainNavBar">
        	<ul id="spriteNav">
		    	<li><a id="users"><span class="selected"></span></a></li>
		     	<li><a id="notes"><span></span></a></li>
		     	<li><a id="stats"><span></span></a></li>
		     	<li><a id="processes"><span></span></a></li>
		     	<li><a id="security"><span></span></a></li>
		   	</ul>   
      	</div>
      	<div id="content1">
      		<div id="contentArea1">
      			<!-- nav items -->
      			
      		</div>
   		</div>
   		<div id="content2">
      		<div id="contentArea2">
         <!-- content items -->
      		</div>
   		</div>
   		<div id="footer"></div>
    </body>
</html>